<?php

namespace AltSolution\Admin\Forms;

use AltSolution\Admin\Form;

class CacheForm extends Form\AbstractFactory
{
    public function buildForm(Form\BuilderInterface $builder)
    {
        $builder->form([
            'method' => 'post',
            'action' => route('admin::cache'),
            'buttons' => [
                'fas fa-recycle' => trans('admin::core.cache_reset_btn')
            ],
        ]);

        $hasFullAccess = \Gate::allows('permission', 'debug');

        $builder->choice('types', [
            'label' => trans('admin::core.cache_f_types'),
            'choices' => [
                    'cache' => trans('admin::core.cache_v_type_app'),
                    'views' => trans('admin::core.cache_v_type_view'),
                ] + ($hasFullAccess ? [
                    'config' => trans('admin::core.cache_v_type_config'),
                    'routes' => trans('admin::core.cache_v_type_route'),
                ] : []),
            'multiple' => true,
            'required' => true,
            'rules' => 'in:cache,views,config,routes',
        ]);
    }
}
