<?php

namespace AltSolution\Admin\Forms;

use AltSolution\Admin\Form;
use AltSolution\Admin\Models\Cron;

class CronForm extends Form\AbstractFactory
{
    public function buildForm(Form\BuilderInterface $builder)
    {
        $builder->form([
            'method' => 'post',
            'action' => route('admin::cron_save'),
        ]);

        $builder->hidden('id');

        $builder->text('expression', [
            'label' => trans('admin::cron.f_expression'),
            'placeholder' => trans('admin::cron.h_expression'),
            'required' => true,
            'rules' => 'string|max:50|cron_expression',
        ]);
        $builder->select('type', [
            'label' => trans('admin::cron.f_type'),
            'required' => true,
            'choices' => [
                Cron::TYPE_ARTISAN  => trans('admin::cron.v_type_artisan'),
                Cron::TYPE_SHELL  => trans('admin::cron.v_type_shell'),
            ],
            'rules' => 'numeric',
        ]);
        $builder->text('command', [
            'label' => trans('admin::cron.f_command'),
            'required' => true,
            'rules' => 'string|max:255',
        ]);
        $builder->text('description', [
            'label' => trans('admin::cron.f_description'),
            'rules' => 'string|max:255',
        ]);
        $builder->checkbox('is_enabled', [
            'label' => trans('admin::cron.f_enabled'),
            'placeholder' => trans('admin::cron.l_yes'),
        ]);
        $builder->checkbox('in_maintenance', [
            'label' => trans('admin::cron.f_maintenance'),
            'placeholder' => trans('admin::cron.l_yes'),
            'help' => trans('admin::cron.h_maintenance'),
        ]);
        $builder->checkbox('can_overlap', [
            'label' => trans('admin::cron.f_overlap'),
            'placeholder' => trans('admin::cron.l_yes'),
            'help' => trans('admin::cron.h_overlap')
        ]);
    }
}