<?php

namespace AltSolution\Admin\Http\View\Composers;

use AltSolution\Admin\System\AuthLayout;
use Illuminate\View\View;

class AuthLayoutComposer
{
    /**
     * @var AuthLayout
     */
    private $layout;

    /**
     * LayoutComposer constructor.
     * @param AuthLayout $layout
     */
    public function __construct(AuthLayout $layout)
    {
        $this->layout = $layout;
    }

    /**
     * Bind data to the view.
     *
     * @param  View  $view
     * @return void
     */
    public function compose(View $view)
    {
        $view->with('layout', $this->layout->toArray());
    }

}