<?php

namespace AltSolution\Admin\Models;

use Cron\CronExpression;
use Illuminate\Database\Eloquent\Model;

class Cron extends Model
{
    const TYPE_ARTISAN = 1;
    const TYPE_SHELL = 2;

    protected $table = 'cron';
    protected $fillable = [
        'expression',
        'type',
        'command',
        'description',
        'is_enabled',
        'in_maintenance',
        'can_overlap',
    ];

    public function getNextRunAtAttribute()
    {
        return CronExpression::factory($this->expression)->getNextRunDate();
    }

    public function logs()
    {
        return $this->hasMany(CronLog::class);
    }

    public function lastRun()
    {
        return $this->logs()->orderBy('start_at', 'desc')->limit(1)->first();
    }

    public function getOutputPath()
    {
        return 'logs' . DIRECTORY_SEPARATOR . 'cron-' . sha1($this->expression . $this->command);
    }
}
