<?php

namespace AltSolution\Admin\Models;

use AltSolution\Admin\Modules\Menu\MenuModelInterface;
use Illuminate\Database\Eloquent\Model;

/**
 * @property int $id
 * @property string $name
 * @property string $description
 * @property MenuItem[] $items
 * @property MenuItem[] $parentItems
 */
class Menu extends Model implements MenuModelInterface
{
    protected $fillable = [
        'name',
        'description'
    ];
    public $timestamps = false;

    public function items()
    {
        return $this->hasMany(MenuItem::class)->orderBy('sort');
    }

    public function parentItems()
    {
        return $this->hasMany(MenuItem::class)->where('parent_id', 0)->orderBy('sort');
    }
}
