<?php

namespace AltSolution\Admin\Pagination;

use Illuminate\Contracts\Pagination\Presenter;
use Illuminate\Pagination\LengthAwarePaginator;

class FilePaginator extends LengthAwarePaginator
{
    /**
     * @var \SplFileObject
     */
    private $file;

    /**
     * Create a new paginator instance.
     *
     * @param  \SplFileObject $file
     * @param  int $total
     * @param  int $perPage
     * @param  int|null $currentPage
     */
    public function __construct($file, $total, $perPage, $currentPage = null, array $options = [])
    {
        $this->file = $file;
        parent::__construct([], $total, $perPage, $currentPage, $options);

        $this->path = $this->resolveCurrentPath();
    }

    public function getIterator()
    {
        $this->file->seek($this->perPage * ($this->currentPage - 1));
        $limit = $this->perPage;
        while ($this->file->valid() && $limit--) {
            yield $this->file->current();
            $this->file->next();

        }

        // return new \LimitIterator(new \NoRewindIterator($this->file), 0, $this->perPage);
    }

}
