<?php

namespace AltSolution\Admin\System;

class Breadcrumbs implements \IteratorAggregate, \Countable
{
    /**
     * @var BreadcrumbsItem[]
     */
    private $items = [];
    /**
     * @var bool
     */
    private $visible = true;

    public function addItem(BreadcrumbsItem $item)
    {
        $this->items[] = $item;
    }

    /**
     * @return BreadcrumbsItem[]
     */
    public function getItems()
    {
        return $this->items;
    }

    /**
     * @return bool
     */
    public function isVisible()
    {
        return $this->visible;
    }

    /**
     * @param bool $visible
     * @return void
     */
    public function setVisible($visible)
    {
        $this->visible = $visible;
    }

    public function getIterator()
    {
        foreach ($this->items as $item)
        {
            yield $item;
        }
    }

    public function count()
    {
        return count($this->items);
    }
}