<?php

namespace AltSolution\Admin\System;

use Illuminate\Contracts\Session\Session;

class Notify
{
    const SESSION_KEY = 'cms_notify';

    public function add($type, $message)
    {
        if (!in_array($type, ['error', 'warning', 'success', 'info'])) {
            throw new \Exception('Invalid notify type: ' . $type);
        }

        /** @var Session $session */
        $session = app('session');

        $notifications = $session->get(self::SESSION_KEY, []);
        $notifications[] = [$type, $message];
        $session->flash(self::SESSION_KEY, $notifications);
    }

    public function getAll()
    {
        /** @var Session $session */
        $session = app('session');

        return $session->get(self::SESSION_KEY, []);
    }

    public function pullAll()
    {
        /** @var Session $session */
        $session = app('session');

        return $session->pull(self::SESSION_KEY, []);
    }
}