<?php

namespace AltSolution\Admin\System;

use AltSolution\Admin\Form;

class OptionSection implements SortableInterface
{
    use SortableTrait;

    private $name;
    private $description;
    /**
     * @var Form\BuilderInterface
     */
    private $formBuilder;

    public function __construct(Form\BuilderInterface $formBuilder, $name, $description)
    {
        $this->formBuilder = $formBuilder;
        $this->name = $name;
        $this->description = $description;
    }

    /**
     * @return string
     */
    public function getName()
    {
        return $this->name;
    }

    /**
     * @return string
     */
    public function getDescription()
    {
        return $this->description;
    }

    /**
     * @return Form\BuilderInterface
     */
    public function getFormBuilder()
    {
        return $this->formBuilder;
    }
}