<?php

namespace AltSolution\Admin\System;

use \AltSolution\Admin\Models\User as UserModel;

class User
{
    /**
     * @var UserModel
     */
    private $user;

    /**
     * @return int
     */
    public function getId()
    {
        $user = $this->getUser();
        return $user ? $user->id : 0;
    }

    public function getName(): string
    {
        $user = $this->getUser();
        $name = $user ? $user->name : '';
        return $name ?: '<unnamed>';
    }

    /**
     * @return string
     */
    public function getAvatar()
    {
        $user = $this->getUser();
        return $user ? $user->imageUrl('avatar', 'list') : null;
    }

    /**
     * For lazy loading
     * @return UserModel|null
     */
    private function getUser()
    {
        if ($this->user === null) {
            $this->user = auth()->user();
        }

        return $this->user;
    }
}